<!doctype html>
<html lang="en">
<head>
  <title>Searching</title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://unpkg.com/tailwindcss@0.3.0/dist/tailwind.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/gh/alpinejs/alpine@v2.x.x/dist/alpine.min.js" defer></script>
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
  </head>
<body class="h-full overflow-hidden flex items-center justify-center" style="background: #edf2f7;">
    <div class="w-full max-w-screen-xl mx-auto p-6" x-data="data()" x-init="init()">
  <div class="relative overflow-hidden mb-8 bg-white">
    <div class="p-4 py-8" style="background: #edf2f7;">
      <div class="bg-white mx-auto max-w-md shadow-lg rounded-lg overflow-hidden">
        <div class="sm:flex sm:items-center px-2 py-4">
          <div class="flex-grow">
            <h3 class="font-normal px-2 py-3 leading-tight">Searching by name</h3>
            <input type="text" placeholder="Search teams or members" x-model="name" x-on:keydown.debounce.150="fetch()"
              class="my-2 w-full text-sm bg-grey-light text-grey-darkest rounded h-10 p-3 focus:outline-none" />
            <div class="w-full">
              <template x-for="[id, value] in Object.entries(data)" :key="value.id">
                <div class="flex cursor-pointer my-1 hover:bg-blue-lightest rounded">
                  <div class="w-2/5 h-10 py-3 px-1">
                    <p class="hover:text-blue-dark" x-text="'Name: ' + value.name"></p>
                  </div>
                </div>
              </template>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<script type="text/javascript">
  function data() {
    return {
      data: [],
      name:'',
      fetch() {
        let self = this;
        console.log(this.name)
        this.isLoading = true;
        axios.get('https://jsonplaceholder.typicode.com/users')
        .then(response => {
          if ( response.status == 200 )
          {
            self.data = []
            let data = response.data
            data.forEach((data)=> {
              if ( data.name.toLowerCase().includes(this.name.toLowerCase()) )
              {
                self.data.push(data)
              }
            })
          }
        })
        .catch(err => {alert(err); console.log(err)})
        .then(() => {
          this.isLoading = false;
        });
      },
      init() {
        let self = this;
        self.fetch();
      },
    }
  }
</script>
</body>
</html>
